Subject: RE: [Sipping] User and phone-context param placement in URI?

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 3 Aug 2001 14:25:24 -0400

> -----Original Message-----
> From: James Undery [mailto:[email-masked]]
> Sent: Friday, August 03, 2001 7:36 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Sipping] User and phone-context param placement in URI?
> 
> 
> 
> 
> Doug Hurtig wrote:
> 
> > James,
> >
> >  I am still not sure of your last
> >  comment. I maintain based on the URLs for Telephone Calls that
> >  the phone-context is part of the telephone subscriber portion of
> >  the uri.
> 
> I'd forgotten the user-unreserved, although "In general a 
> character is reserved if
> the semantics of the URI changes if the character is replaced 
> with its escaped
> US-ASCII encoding" and ";" definitely muddies the water.

Not in the user portion, I don't think.

> 
> >
> >
> >  The 2454bis states that if the userinfo portion of the SIP 
> URL contains
> >  a telephone subscriber that the telephone-subscriber portion of the
> >  sip URI is formatted as described in 2806.  The 2806 
> document describes
> >  only the telephone-subscriber portion of the SIP URL. It 
> clearly shows
> >  that the phone-context is part of the 
> telephone-subscriber. The phone-context
> >  is the area-specifier in the global or local phone number ant not
> >  a SIP URL uri-parameter.
> 
> This is just my interpretation so feel free to tell me I am a 
> fool, I get the
> feeling that this is just for the inclusion of a phone number 
> in sip URIs, if you
> want tel URI parameters use a tel URI. Using sip URIs allows 
> more potential for
> trouble if you want tel URI functionality.

No, my understanding is consistent with Gonzalo's. Specifically, the
telephone-subscriber portion of the tel-URL can appear as the user portion
of the SIP URL, which means the tel URL parameters appear within the user
part. I think there was a long thread on allowing semicolon in the user part
in order to support exactly that (which is what user-unreserved is for).

-Jonathan R.
---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sipping mailing list  http://www.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP